Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# IndirectInterval Class Reference

Inheritance diagram for IndirectInterval:

List of all members.

## Public Member Functions
def | __init__
def | privFinalize
def | privInitialize
def | privInstant
def | privInterrupt
def | privReverseFinalize
def | privReverseInitialize
def | privReverseInstant
def | privStep
## Public Attributes
| blendType
| currT
| deltaT
| endAtEnd
| endT
| interval
| startAtStart
| startT
| state
## Static Public Attributes
int | indirectIntervalNum = 1
tuple | notify = directNotify.newCategory('IndirectInterval')

## Detailed Description

    This class can be used to play samples of another interval, so
    that only a subset of the interval is played, or the time is
    compressed, or some such nonsense.

    It keeps a reference to the interval itself and repeatedly calls
    setT() on it, rather than actually starting the interval or
    copying its members like Sequence() or Parallel().  This means two
    IndirectIntervals that operate on the same nested interval may
    have some interaction that you should be aware of.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | interval,
|  |  | startT = `0`,
|  |  | endT = `None`,
|  |  | playRate = `1`,
|  |  | duration = `None`,
|  |  | blendType = `'noBlend'`,
|  |  | name = `None`
| ) |  |

## Member Function Documentation

def privFinalize | ( |  | self | ) |

Reimplemented from Interval.

def privInitialize | ( |  | self,
|  |  | t
| ) |  |

Reimplemented from Interval.

def privInstant | ( |  | self | ) |

Reimplemented from Interval.

def privInterrupt | ( |  | self | ) |

Reimplemented from Interval.

def privReverseFinalize | ( |  | self | ) |

Reimplemented from Interval.

def privReverseInitialize | ( |  | self,
|  |  | t
| ) |  |

Reimplemented from Interval.

def privReverseInstant | ( |  | self | ) |

Reimplemented from Interval.

def privStep | ( |  | self,
|  |  | t
| ) |  |

Reimplemented from Interval.

## Member Data Documentation

blendType

currT

Reimplemented from Interval.

deltaT

endAtEnd

endT

int indirectIntervalNum = 1`[static]`

interval

tuple notify = directNotify.newCategory('IndirectInterval')`[static]`

Reimplemented from Interval.

startAtStart

startT

state

Reimplemented from Interval.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties